"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChartTileContainer = void 0;
const react_1 = __importStar(require("react"));
const ui_1 = require("@cs-bosch-medusa/ui");
const react_native_1 = require("react-native");
const lodash_1 = require("lodash");
const chart_tile_large_container_1 = require("./chart-tile-large-container");
const theme_1 = require("../../theme");
const container_constants_1 = require("./container-constants");
const styles = react_native_1.StyleSheet.create({
    container: {
        paddingBottom: ui_1.METRICS.CHART_TILE_CONTAINER.basePadding,
    },
});
const ChartTileContainer = ({ children, onChange, activatedTiles, indicatorPressable, contentLimit = container_constants_1.DEFAULT_LARGE_CONTAINER_CONTENT_LIMIT, testID, }) => {
    const { chartTheme } = (0, theme_1.useChartTheme)();
    const groupedTiles = (0, lodash_1.chunk)(react_1.default.Children.toArray(children), contentLimit);
    const onTileChange = (0, react_1.useCallback)((tileId) => {
        const newActivatedTiles = [...activatedTiles];
        const index = newActivatedTiles.indexOf(tileId);
        if (index > -1) {
            newActivatedTiles.splice(index, 1);
        }
        else {
            newActivatedTiles.push(tileId);
        }
        onChange(newActivatedTiles);
    }, [activatedTiles, onChange]);
    return (react_1.default.createElement(ui_1.Carousel, { indicatorPressable: indicatorPressable, style: [
            { backgroundColor: chartTheme.tile.containerColor },
            styles.container,
        ] }, groupedTiles.map((tiles, index) => (react_1.default.createElement(chart_tile_large_container_1.ChartTileLargeContainer, { activatedTiles: activatedTiles, contentLimit: contentLimit, 
        // eslint-disable-next-line react/no-array-index-key
        key: index, onChange: onTileChange, testID: testID }, tiles)))));
};
exports.ChartTileContainer = ChartTileContainer;
