import React, { FC } from "react";
import { ViewStyle, StyleProp } from "react-native";
import { TestProps } from "@cs-bosch-medusa/ui";
export type ChartLargeTileContainerProps = TestProps & {
    /** List of the tiles id which are currently active. Parameter id not listed in the array won't be active. */
    activatedTiles: string[];
    /** Tiles to render inside the container. */
    children: React.ReactNode;
    /** Callback to be called with the parameter id when a tile is pressed. */
    onChange(tileId: string): void;
    /** Style of the container. */
    style?: StyleProp<ViewStyle>;
    /**
     * The maximum number of tiles to be shown in the container: 6 or 8.
     */
    contentLimit?: 6 | 8;
};
export declare const ChartTileLargeContainer: FC<React.PropsWithChildren<ChartLargeTileContainerProps>>;
//# sourceMappingURL=chart-tile-large-container.d.ts.map