"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChartTileSmallContainer = void 0;
const react_1 = __importStar(require("react"));
const react_native_1 = require("react-native");
const ui_1 = require("@cs-bosch-medusa/ui");
const container_constants_1 = require("./container-constants");
const styles = react_native_1.StyleSheet.create({
    columnTileContainer: {
        flex: 1,
        flexDirection: "column",
    },
    rowContainer: {
        flex: 1,
        flexDirection: "row",
    },
    tile: {
        flex: 1,
        minHeight: "50%",
        padding: 1,
    },
});
const ChartTileSmallContainer = ({ children, activatedTiles, onChange, testID, contentLimit, }) => {
    const tiles = react_1.default.Children.toArray(children);
    /**
     * See below table for the distribution of tiles in the container. The (x, y) tuples indicate the number of tiles that are rendered within the two columns,
     * x being the count in the first column, y in the second.
     *
     * NOTE: In case the limit of tiles is 6, there will be 3 `ChartTileSmallContainer`s rendered,
     * so each will contain maximum 2 tiles - that is why the last two items of the table are empty,
     *
     * | limit | 1 tile | 2 tiles | 3 tiles | 4 tiles |
     * | ----- | ------ | ------- | ------- | ------- |
     * |     8 | (1, 0) | (1, 1)  | (2, 1)  | (2, 2)  |
     * |     6 | (1, 0) | (2, 0)  | -       | -       |
     */
    const columnTileCount = contentLimit === container_constants_1.DEFAULT_LARGE_CONTAINER_CONTENT_LIMIT
        ? Math.round(tiles.length / 2)
        : 2;
    const firstColTiles = tiles.slice(0, columnTileCount);
    const secondColTiles = tiles.slice(columnTileCount);
    const renderTile = (tile) => {
        if (react_1.default.isValidElement(tile)) {
            return (react_1.default.createElement(TileWrapper, { activatedTiles: activatedTiles, key: tile.props.id, onPress: onChange, testID: testID, tile: tile }));
        }
    };
    return (react_1.default.createElement(react_native_1.View, { style: styles.rowContainer },
        react_1.default.createElement(react_native_1.View, { style: styles.columnTileContainer }, firstColTiles.map((tile) => renderTile(tile))),
        secondColTiles.length > 0 && (react_1.default.createElement(react_native_1.View, { style: styles.columnTileContainer }, secondColTiles.map((tile) => renderTile(tile))))));
};
exports.ChartTileSmallContainer = ChartTileSmallContainer;
const TileWrapper = ({ tile, activatedTiles, onPress, testID, }) => {
    const { theme } = (0, ui_1.useTheme)();
    const onTilePress = (0, react_1.useCallback)(() => {
        onPress(tile.props.id);
    }, [onPress, tile.props.id]);
    return (react_1.default.createElement(react_native_1.TouchableOpacity, { activeOpacity: theme.activeOpacity, key: tile.props.id, onPress: onTilePress, style: styles.tile, ...(0, ui_1.getTestIdProps)(`${testID}.${tile.props.id}`) }, react_1.default.cloneElement(tile, {
        activated: activatedTiles.includes(tile.props.id),
    })));
};
