"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DoubleAxisGrid = void 0;
const react_1 = __importStar(require("react"));
const react_native_svg_1 = require("react-native-svg");
const theme_1 = require("../../theme");
const metrics_1 = require("./metrics");
const chart_helper_1 = require("./chart-helper");
const DoubleAxisGrid = ({ width, height, yTickCount, doubleAxis = true, }) => {
    const { chartTheme } = (0, theme_1.useChartTheme)();
    const chartRight = width - metrics_1.DOUBLE_AXIS_CHART_METRICS.HORIZONTAL_PADDING;
    const chartBottom = height - metrics_1.DOUBLE_AXIS_CHART_METRICS.BOTTOM_PADDING;
    const chartTop = metrics_1.DOUBLE_AXIS_CHART_METRICS.TOP_PADDING + metrics_1.LINE_CHART_TEXT_SIZE;
    const yAxisTickValues = (0, react_1.useMemo)(() => chart_helper_1.ChartHelper.getAxisValues(chartTop, chartBottom, yTickCount), [chartBottom, chartTop, yTickCount]);
    return (react_1.default.createElement(react_native_svg_1.G, { fill: chartTheme.doubleAxisChart.axisColor, stroke: chartTheme.doubleAxisChart.axisColor },
        yAxisTickValues.map((yPosition) => (react_1.default.createElement(react_native_svg_1.Line, { key: `y${yPosition}`, x1: 0, x2: width, y1: yPosition, y2: yPosition }))),
        doubleAxis && (react_1.default.createElement(react_native_svg_1.Line, { x1: chartRight, x2: chartRight, y1: chartBottom, y2: 0 }))));
};
exports.DoubleAxisGrid = DoubleAxisGrid;
