import { FC } from "react";
import * as d3Scale from "d3-scale";
import { Colors } from "@cs-bosch-medusa/ui";
import { ChartValue } from "./types";
export type DoubleAxisChartLinesProps = {
    /** Scale of the x values. */
    xScale: d3Scale.ScaleTime<number, number>;
    /** Scale of the y values. */
    yScale: d3Scale.ScaleLinear<number, number>;
    /** List of parameter ids which will be drawn on the chart. */
    activeParameters: string[];
    /**
     * A map containing all parameters and the corresponding data.
     * Each entry in `activeParameters` should have a corresponding
     * key in this map.
     */
    values: Record<string, ChartValue[]>;
    /** Parameter ids mapped to colors. */
    colors: Record<string, Colors>;
};
export declare const DoubleAxisChartLines: FC<DoubleAxisChartLinesProps>;
//# sourceMappingURL=double-axis-lines.d.ts.map