"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DoubleAxisXLabels = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const ui_1 = require("@cs-bosch-medusa/ui");
const metrics_1 = require("./metrics");
const theme_1 = require("../../theme");
/*
Needed to avoid passing array literal as default value.
See the react/no-object-type-as-default-prop eslint rule for details.
*/
const emptyArray = [];
const DoubleAxisXLabels = ({ height, xScale, axisTickTimestamps, secondaryXTickTimestamps = emptyArray, formatDate, selection, }) => {
    const { theme } = (0, ui_1.useTheme)();
    const { chartTheme } = (0, theme_1.useChartTheme)();
    const tickLineYStart = height -
        metrics_1.DOUBLE_AXIS_CHART_METRICS.BOTTOM_PADDING -
        metrics_1.DOUBLE_AXIS_CHART_METRICS.X_AXIS_TICK_LINE_SIZE / 2;
    const tickLineYMiddle = height - metrics_1.DOUBLE_AXIS_CHART_METRICS.BOTTOM_PADDING;
    const tickLineYEnd = tickLineYStart + metrics_1.DOUBLE_AXIS_CHART_METRICS.X_AXIS_TICK_LINE_SIZE;
    return (react_1.default.createElement(react_native_svg_1.G, null,
        axisTickTimestamps.map((value) => {
            const xPosition = xScale(value);
            return (react_1.default.createElement(react_native_svg_1.G, { key: value },
                react_1.default.createElement(react_native_svg_1.Text, { fill: selection
                        ? chartTheme.doubleAxisChart
                            .unfocusedLabelColor
                        : chartTheme.doubleAxisChart.labelColor, fontFamily: theme.regularFont, fontSize: ui_1.FontSize.VERY_TINY, x: xPosition, y: height -
                        metrics_1.DOUBLE_AXIS_CHART_METRICS.X_TICKS_PADDING }, formatDate(new Date(value * 1000))),
                react_1.default.createElement(react_native_svg_1.Line, { stroke: chartTheme.doubleAxisChart.axisColor, x1: xPosition, x2: xPosition, y1: tickLineYStart, y2: tickLineYEnd })));
        }),
        secondaryXTickTimestamps.map((value) => {
            const xPosition = xScale(value);
            return (react_1.default.createElement(react_native_svg_1.Line, { key: `secondary-${value}`, stroke: chartTheme.doubleAxisChart.axisColor, x1: xPosition, x2: xPosition, y1: tickLineYStart, y2: tickLineYMiddle }));
        })));
};
exports.DoubleAxisXLabels = DoubleAxisXLabels;
