"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DoubleAxisYLabels = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const ui_1 = require("@cs-bosch-medusa/ui");
const metrics_1 = require("./metrics");
const theme_1 = require("../../theme");
const TEXT_PADDING = (0, ui_1.verticalScale)(4);
const DoubleAxisYLabels = ({ axisTickValues, scale, width, secondary = false, formatValue, selection, }) => {
    const { theme } = (0, ui_1.useTheme)();
    const { chartTheme } = (0, theme_1.useChartTheme)();
    return (react_1.default.createElement(react_native_svg_1.G, null, axisTickValues.map((value) => (react_1.default.createElement(react_native_svg_1.G, { key: value },
        react_1.default.createElement(react_native_svg_1.Text, { fontFamily: theme.regularFont, fontSize: ui_1.FontSize.VERY_TINY, textAnchor: "end", x: secondary
                ? width -
                    TEXT_PADDING -
                    metrics_1.DOUBLE_AXIS_CHART_METRICS.HORIZONTAL_PADDING
                : 0, y: scale(value) - TEXT_PADDING },
            react_1.default.createElement(react_native_svg_1.TSpan, { fill: selection
                    ? chartTheme.doubleAxisChart
                        .unfocusedLabelColor
                    : chartTheme.doubleAxisChart.labelColor, inlineSize: metrics_1.DOUBLE_AXIS_CHART_METRICS.HORIZONTAL_PADDING }, formatValue(value, secondary))))))));
};
exports.DoubleAxisYLabels = DoubleAxisYLabels;
