import { FC } from "react";
import * as d3Scale from "d3-scale";
import { Colors } from "@cs-bosch-medusa/ui";
import { ChartValue } from "./types";
export type SelectionLineProps = {
    /** Height of the chart. */
    height: number;
    /** Scale of the x values. */
    xScale: d3Scale.ScaleTime<number, number>;
    /** Scale of the primary y values. */
    y1Scale?: d3Scale.ScaleLinear<number, number>;
    /** Scale of the secondary y values. */
    y2Scale?: d3Scale.ScaleLinear<number, number>;
    /** The timestamp to show the selection line for. */
    selectedTimestamp: number;
    /** Values of the parameters shown on the main axis. */
    primaryValues: Record<string, ChartValue[]>;
    /** Values of the parameters shown on the secondary axis. */
    secondaryValues: Record<string, ChartValue[]>;
    /** Parameter ids mapped to colors. */
    colors: Record<string, Colors>;
};
export declare const SelectionLine: FC<SelectionLineProps>;
//# sourceMappingURL=selection-line.d.ts.map