import { IconProps, Colors } from "@cs-bosch-medusa/ui";
import React, { FC } from "react";
export type HorizontalStackedBarSection = {
    /**
     * Text to display in the middle of the section.
     * If it is too large and it would be cut off,
     * the text will be hidden.
     */
    label?: string;
    /**
     * Icon to display in the middle of the section.
     * If there is a label provided, the icon won't be shown.
     */
    icon?: React.ComponentType<IconProps>;
    /** Background color of the section. */
    backgroundColor: Colors;
    /** How much space the section occupies from the bar. */
    flex: number;
    /** If true, the section's height will be bigger by 20%. */
    focused?: boolean;
    /**
     * We will use this id as key when we map the section data to components.
     * If not provided, the array index will be used for this purpose.
     */
    id?: string | number;
};
type BarSectionProps = HorizontalStackedBarSection & {
    marginLeft: number;
    textColor: Colors;
    clipWidth: number;
};
export declare const BarSection: FC<BarSectionProps>;
export {};
//# sourceMappingURL=bar-section.d.ts.map