"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HorizontalTimeLineAxis = void 0;
const react_1 = __importStar(require("react"));
const react_native_svg_1 = require("react-native-svg");
const ui_1 = require("@cs-bosch-medusa/ui");
const chart_helper_1 = require("../double-axis-charts/chart-helper");
const theme_1 = require("../../theme");
const horizontal_time_line_metrics_1 = require("./horizontal-time-line-metrics");
/**
 * Horizontal timeline axis component with ticks and labels.
 */
const HorizontalTimeLineAxis = ({ scale, width, height, timestampRange, smallTickCount, tickCount, labelFrequency = 2, formatLabel, }) => {
    const { theme } = (0, ui_1.useTheme)();
    const { chartTheme } = (0, theme_1.useChartTheme)();
    const [min, max] = timestampRange;
    const ticks = (0, react_1.useMemo)(() => chart_helper_1.ChartHelper.getAxisValues(min, max, tickCount + smallTickCount * (tickCount - 1)), [max, min, smallTickCount, tickCount]);
    const yPosition = (0, react_1.useMemo)(() => height - horizontal_time_line_metrics_1.HORIZONTAL_TIME_LINE_METRICS.BOTTOM_PADDING, [height]);
    let labelStep = labelFrequency;
    if (labelFrequency < 1) {
        console.warn("Label frequency cannot be less than 1");
        labelStep = 2;
    }
    return (react_1.default.createElement(react_native_svg_1.G, { fill: chartTheme.horizontalTimeLine.axisColor, stroke: chartTheme.horizontalTimeLine.axisColor },
        react_1.default.createElement(react_native_svg_1.Line, { strokeDasharray: horizontal_time_line_metrics_1.HORIZONTAL_TIME_LINE_METRICS.AXIS_DASH_ARRAY, x1: 0, x2: horizontal_time_line_metrics_1.HORIZONTAL_TIME_LINE_METRICS.CONTAINER_PADDING, y: yPosition }),
        react_1.default.createElement(react_native_svg_1.Line, { x1: horizontal_time_line_metrics_1.HORIZONTAL_TIME_LINE_METRICS.CONTAINER_PADDING, x2: width - horizontal_time_line_metrics_1.HORIZONTAL_TIME_LINE_METRICS.CONTAINER_PADDING, y: yPosition }),
        react_1.default.createElement(react_native_svg_1.Line, { strokeDasharray: horizontal_time_line_metrics_1.HORIZONTAL_TIME_LINE_METRICS.AXIS_DASH_ARRAY, x1: width - horizontal_time_line_metrics_1.HORIZONTAL_TIME_LINE_METRICS.CONTAINER_PADDING, x2: width, y: yPosition }),
        ticks.map((value, index) => {
            const scaledValue = scale(value);
            const largeTick = index % (smallTickCount + 1) === 0;
            const showLabel = index % (labelStep * (smallTickCount + 1)) === 0;
            const tickSize = largeTick
                ? horizontal_time_line_metrics_1.HORIZONTAL_TIME_LINE_METRICS.TICK_SIZE
                : horizontal_time_line_metrics_1.HORIZONTAL_TIME_LINE_METRICS.SMALL_TICK_SIZE;
            return (react_1.default.createElement(react_native_svg_1.G, { key: value },
                react_1.default.createElement(react_native_svg_1.Line, { x: scaledValue, y1: yPosition, y2: yPosition + tickSize }),
                showLabel && (react_1.default.createElement(react_native_svg_1.Text, { fontFamily: theme.regularFont, fontSize: ui_1.FontSize.VERY_TINY, strokeWidth: 0, textAnchor: "middle", x: scaledValue, y: yPosition +
                        horizontal_time_line_metrics_1.HORIZONTAL_TIME_LINE_METRICS.TICK_SIZE +
                        ui_1.FontSize.VERY_TINY }, formatLabel(value)))));
        })));
};
exports.HorizontalTimeLineAxis = HorizontalTimeLineAxis;
