"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ParameterList = void 0;
const react_1 = __importStar(require("react"));
const ui_1 = require("@cs-bosch-medusa/ui");
const parameter_list_item_1 = require("./parameter-list-item");
const ParameterList = ({ activeParameters, items, colors, disableUnselected = false, testID, onChange, fullWidth, }) => {
    const onItemPress = (0, react_1.useCallback)((itemId) => {
        if (activeParameters.includes(itemId)) {
            onChange(activeParameters.filter((id) => id !== itemId));
        }
        else {
            onChange([...activeParameters, itemId]);
        }
    }, [activeParameters, onChange]);
    return (react_1.default.createElement(ui_1.List, { fullWidth: fullWidth, testID: testID }, items.map((item) => (react_1.default.createElement(parameter_list_item_1.ParamListItem, { colors: colors, disableUnselected: disableUnselected, item: item, key: item.id, onPress: onItemPress, selected: activeParameters.includes(item.id), testID: `${testID}.${item.id}` })))));
};
exports.ParameterList = ParameterList;
