import React, { FC } from "react";
import * as d3Scale from "d3-scale";
export type RealTimeLineChartClipPathProps = {
    /** X axis min value. */
    xMin: number;
    /** Y axis maximum value. */
    yMax: number;
    /** Width of the svg. */
    width: number;
    /** Height of the svg. */
    height: number;
    /** Scale of the x values. */
    xScale: d3Scale.ScaleTime<number, number>;
    /** Scale of the y values. */
    yScale: d3Scale.ScaleLinear<number, number>;
    /** Line chart lines and points node to display inside of the axes. */
    children: React.ReactNode;
};
/**
 * Line chart wrapper component, which specifies a rectangle
 * region inside of the axes where the chart is drawn.
 *
 * Outside of this region the elements are not visible.
 */
export declare const RealTimeLineChartClipPath: FC<RealTimeLineChartClipPathProps>;
//# sourceMappingURL=real-time-line-chart-clip-path.d.ts.map