"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RealTimeLineChartPoints = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const utils_1 = require("../../utils");
const RealTimeLineChartPoints = ({ values, colors, xScale, yScale, activeParameters, }) => {
    return (
    // eslint-disable-next-line react/jsx-no-useless-fragment
    react_1.default.createElement(react_1.default.Fragment, null, activeParameters.map((parameter) => {
        const parameterValues = values[parameter];
        return (react_1.default.createElement(react_1.default.Fragment, { key: parameter }, 
        /**
         * NOTE: Iterating through the array is necessary,
         * because a line can be interrupted.
         */
        parameterValues.map((element, index) => (0, utils_1.isNumber)(element.value) &&
            /**
             * NOTE: Shows the first and last point
             * of the lines.
             *
             * It is a request from the client.
             */
            (index === 0 ||
                index === parameterValues.length - 1 ||
                (0, utils_1.isString)(parameterValues[index - 1].value) ||
                (0, utils_1.isString)(parameterValues[index + 1].value)) && (react_1.default.createElement(react_native_svg_1.Circle, { fill: colors[parameter], key: element.timestamp, r: 2, stroke: colors[parameter], x: xScale(element.timestamp), y: yScale(element.value) })))));
    })));
};
exports.RealTimeLineChartPoints = RealTimeLineChartPoints;
