import React from "react";
import { CalendarRef } from "./calendar-ref";
import { CalendarPickerDataProps } from "./calendar-picker-data-hook";
export type CalendarPickerDayProps = CalendarPickerDataProps & {
    /**
     * Indicates whether today's date should be marked in the calendar.
     *
     * Defaults to `true`.
     */
    markToday?: boolean;
    /** Callback to invoke when selected day changes. */
    onDayChange(selectedDate: Date): void;
};
export declare const CalendarPickerDay: React.ForwardRefExoticComponent<CalendarPickerDataProps & {
    /**
     * Indicates whether today's date should be marked in the calendar.
     *
     * Defaults to `true`.
     */
    markToday?: boolean | undefined;
    /** Callback to invoke when selected day changes. */
    onDayChange(selectedDate: Date): void;
} & React.RefAttributes<CalendarRef>>;
//# sourceMappingURL=calendar-picker-day.d.ts.map