"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HeaderText = void 0;
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const ui_1 = require("@cs-bosch-medusa/ui");
const moment_1 = __importDefault(require("moment"));
const theme_1 = require("../../theme");
const styles = react_native_1.StyleSheet.create({
    container: {
        flexDirection: "row",
        padding: ui_1.METRICS.CONTAINER.basePadding,
    },
    iconWrapper: {
        paddingLeft: ui_1.METRICS.CONTAINER.basePadding,
    },
});
const HeaderText = ({ month }) => {
    var _a;
    const { chartTheme } = (0, theme_1.useChartTheme)();
    const { theme } = (0, ui_1.useTheme)();
    const momentMonth = month ? (0, moment_1.default)(month.toISOString()) : undefined;
    return (react_1.default.createElement(react_native_1.View, { style: styles.container },
        react_1.default.createElement(react_native_1.Text, { allowFontScaling: false, style: {
                color: chartTheme.resolution.textColor,
                fontFamily: theme.boldFont,
                fontSize: ui_1.FontSize.MEDIUM,
            } }, (_a = momentMonth === null || momentMonth === void 0 ? void 0 : momentMonth.format("MMMM, yyyy")) !== null && _a !== void 0 ? _a : ""),
        react_1.default.createElement(react_native_1.View, { style: styles.iconWrapper },
            react_1.default.createElement(ui_1.CalendarIcon, { iconSize: ui_1.IconSize.XSMALL }))));
};
exports.HeaderText = HeaderText;
