import { FC, ReactNode } from "react";
import { StyleProp, ViewStyle } from "react-native";
import { TestProps } from "../../util";
export type CarouselProps = TestProps & {
    /**
     * If `true`, tapping the indicator dots will trigger a scroll
     * to the page represented by the pressed dot.
     *
     * Defaults to `true`.
     */
    indicatorPressable?: boolean;
    /** Styles to pass to the content container. */
    style?: StyleProp<ViewStyle>;
    /**
     * Components to display.
     */
    children?: ReactNode;
};
/**
 * A horizontally swipeable container,
 * which makes the children components to swipe it horizontally.
 */
export declare const Carousel: FC<CarouselProps>;
//# sourceMappingURL=carousel.d.ts.map