"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Checkbox = void 0;
const react_1 = __importStar(require("react"));
const react_native_1 = require("react-native");
const theme_1 = require("../../theme");
const icons_1 = require("../icons");
const text_1 = require("../text");
const checkbox_styles_1 = require("./checkbox-styles");
const util_1 = require("../../util");
const Checkbox = ({ disabled = false, label, value, onValueChange, style, testID, }) => {
    const { theme } = (0, theme_1.useTheme)();
    const labelColor = !disabled ? theme.textColor : theme.disabledColor;
    const iconColor = !disabled
        ? theme.checkbox.tickColor
        : theme.checkbox.disabledTickColor;
    const onCheckboxPressed = (0, react_1.useCallback)(() => onValueChange(!value), [onValueChange, value]);
    const wrapperStyle = react_native_1.StyleSheet.flatten([
        checkbox_styles_1.checkboxStyles.checkboxWrapper,
        style,
    ]);
    return (react_1.default.createElement(react_native_1.Pressable, { disabled: disabled, onPress: onCheckboxPressed, ...(0, util_1.getTestIdProps)(testID) }, ({ pressed }) => {
        const { fillColor, borderColor } = getStyle({
            checked: value,
            pressed,
            disabled,
            theme,
        });
        const borderStyle = (0, checkbox_styles_1.getBorderedCheckboxStyle)(theme, borderColor);
        return (react_1.default.createElement(react_native_1.View, { style: wrapperStyle },
            react_1.default.createElement(react_native_1.View, { style: [
                    checkbox_styles_1.checkboxStyles.checkbox,
                    { backgroundColor: fillColor },
                    borderStyle,
                ] }, value && (react_1.default.createElement(icons_1.CheckmarkIcon, { extraThickness: checkbox_styles_1.LINE_THICKNESS, fillColor: iconColor, iconSizeInPixels: theme.checkbox.iconSize }))),
            label && (react_1.default.createElement(text_1.Label, { style: [
                    checkbox_styles_1.checkboxStyles.checkboxLabel,
                    { color: labelColor },
                ], testID: `${testID}.label` }, label))));
    }));
};
exports.Checkbox = Checkbox;
const getStyle = ({ checked, pressed, disabled, theme }) => {
    const variant = checked ? theme.checkbox.checked : theme.checkbox.unchecked;
    if (disabled) {
        return variant.disabled;
    }
    if (pressed) {
        return variant.pressed;
    }
    return variant.default;
};
