"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Container = void 0;
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const theme_1 = require("../../theme");
const util_1 = require("../../util");
const styles = react_native_1.StyleSheet.create({
    container: {
        padding: theme_1.METRICS.CONTAINER.basePadding,
    },
});
/**
 * Simple container for wrapping elements with a padding.
 */
const Container = ({ children, style, testID }) => {
    return (
    // eslint-disable-next-line react/jsx-props-no-spreading
    react_1.default.createElement(react_native_1.View, { style: [styles.container, style], ...(0, util_1.getTestIdProps)(testID) }, children));
};
exports.Container = Container;
