import { IconSize } from "./icon-size";
export type IconProps = {
    /** The size of the icon. Defaults to `IconSize.SMALL` */
    iconSize?: IconSize;
    /** The fill color of the icon. Defaults to the `textColor` of the current theme. */
    fillColor?: string;
    /**
     * Second color to use in two tone icons. Ignored for icons that don't support two tones.
     * Defaults to `fillColor` if not specified.
     */
    secondToneColor?: string;
    /**
     * The size of the icon in pixels.
     *
     * _Use sparingly! Most times `iconSize` should be enough._
     */
    iconSizeInPixels?: number;
    /** Additional thickness to add to the icon paths. Defaults to 0. */
    extraThickness?: number;
};
//# sourceMappingURL=icon-props.d.ts.map