"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InputField = void 0;
const react_1 = __importStar(require("react"));
const react_native_1 = require("react-native");
const theme_1 = require("../../theme");
const util_1 = require("../../util");
const text_field_ref_1 = require("./text-field-ref");
const styles = react_native_1.StyleSheet.create({
    input: {
        /**
         * NOTE: Android TextInput has a default padding and margin.
         * Reference: https://github.com/facebook/react-native/issues/6096
         */
        margin: 0,
        padding: 0,
    },
});
exports.InputField = (0, react_1.forwardRef)(({ style, value, disabled = false, editable = true, pointerEvents, maxLength, placeholder, placeholderColor, type = "text", autoCapitalize, keyboardType, textAlign, testID, onValueChange, onFocus, onBlur, }, ref) => {
    const { theme } = (0, theme_1.useTheme)();
    const inputRef = (0, text_field_ref_1.useTextFieldRef)(ref);
    const textColor = disabled
        ? theme.inputs.disabled.textColor
        : theme.inputs.default.textColor;
    const placeholderTextColor = placeholderColor !== null && placeholderColor !== void 0 ? placeholderColor : (disabled
        ? theme.inputs.disabled.textColor
        : theme.inputs.placeholderColor);
    return (react_1.default.createElement(react_native_1.TextInput, { allowFontScaling: theme.allowFontScaling, autoCapitalize: autoCapitalize !== null && autoCapitalize !== void 0 ? autoCapitalize : "sentences", autoCorrect: false, editable: editable && !disabled, keyboardAppearance: theme.keyboardAppearance, keyboardType: keyboardType !== null && keyboardType !== void 0 ? keyboardType : "default", maxLength: maxLength, onBlur: onBlur, onChangeText: onValueChange, onFocus: onFocus, placeholder: placeholder, placeholderTextColor: placeholderTextColor, pointerEvents: pointerEvents, ref: inputRef, secureTextEntry: type === "password", selectionColor: react_native_1.Platform.OS === "ios"
            ? theme.inputs.selectionColor.ios
            : theme.inputs.selectionColor.android, style: [
            styles.input,
            style,
            {
                fontFamily: theme.regularFont,
                color: textColor,
                ...(textAlign ? { textAlign } : {}),
            },
        ], underlineColorAndroid: "transparent", value: value, ...(0, util_1.getTestIdProps)(testID) }));
});
