"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SecretInputField = void 0;
const react_1 = __importStar(require("react"));
const react_native_1 = require("react-native");
const theme_1 = require("../../theme");
const text_field_validation_info_1 = require("./text-field-validation-info");
const text_field_style_1 = require("./text-field-style");
const input_field_1 = require("./input-field");
const text_field_focus_hook_1 = require("./text-field-focus-hook");
const text_field_ref_1 = require("./text-field-ref");
const eye_button_hook_1 = require("./eye-button-hook");
const icon_size_1 = require("../icons/icon-size");
const text_field_label_and_counter_1 = require("./text-field-label-and-counter");
const styles = react_native_1.StyleSheet.create({
    inputField: {
        ...text_field_style_1.textFieldStyle.textFieldWithLabel,
        flex: 1,
    },
    rightIcon: {
        paddingLeft: theme_1.METRICS.CONTAINER.basePadding +
            theme_1.METRICS.CONTAINER.halfBasePadding / 2,
    },
    textAndIconContainer: {
        alignItems: "center",
        flexDirection: "row",
        justifyContent: "space-between",
        width: "auto",
    },
});
exports.SecretInputField = (0, react_1.forwardRef)(({ label, value, disabled, eyeButtonShown = true, maxLength, onFocus, onBlur, validationResult, validationMessage, testID, ...restProps }, ref) => {
    const inputRef = (0, text_field_ref_1.useTextFieldRef)(ref);
    const { focused, onTextFieldFocus, onTextFieldBlur } = (0, text_field_focus_hook_1.useTextFieldFocus)(onFocus, onBlur);
    const { fillColor, textColor } = (0, text_field_style_1.useTextFieldStyle)({
        focused,
        disabled,
    });
    const { isSecretVisible, EyeIcon, onEyeIconPress } = (0, eye_button_hook_1.useEyeButton)(eyeButtonShown);
    const onBoxPress = (0, react_1.useCallback)(() => {
        var _a;
        (_a = inputRef.current) === null || _a === void 0 ? void 0 : _a.focus();
    }, [inputRef]);
    return (react_1.default.createElement(react_native_1.View, { style: text_field_style_1.textFieldStyle.container },
        react_1.default.createElement(react_native_1.Pressable, { onPress: onBoxPress, style: [
                text_field_style_1.textFieldStyle.textContainer,
                { backgroundColor: fillColor },
            ], testID: `${testID}.box` },
            react_1.default.createElement(text_field_label_and_counter_1.TextFieldLabelAndCounter, { focused: focused, label: label, maxLength: maxLength, textColor: textColor, textLength: value.length }),
            react_1.default.createElement(react_native_1.View, { style: styles.textAndIconContainer },
                react_1.default.createElement(input_field_1.InputField, { disabled: disabled, maxLength: maxLength, onBlur: onTextFieldBlur, onFocus: onTextFieldFocus, ref: inputRef, style: styles.inputField, testID: testID, type: isSecretVisible ? "text" : "password", value: value, ...restProps }),
                EyeIcon && (react_1.default.createElement(react_native_1.Pressable, { onPress: onEyeIconPress, style: styles.rightIcon, testID: `${testID}.eyeIcon` },
                    react_1.default.createElement(EyeIcon, { fillColor: textColor, iconSize: icon_size_1.IconSize.SMALL }))))),
        react_1.default.createElement(text_field_validation_info_1.TextFieldValidationInfo, { disabled: disabled, focused: focused, testID: `${testID}.validation`, validationMessage: validationMessage, validationResult: validationResult })));
});
