"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.List = void 0;
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const theme_1 = require("../../theme");
const util_1 = require("../../util");
/**
 * A container component that can contain ListItems and ListSections.
 *
 * @see ListItem
 * @see ListSection
 */
const List = ({ fullWidth = true, children, style, testID, }) => {
    const marginHorizontal = fullWidth ? -theme_1.METRICS.SCREEN.basePadding : 0;
    return (
    // eslint-disable-next-line react/jsx-props-no-spreading
    react_1.default.createElement(react_native_1.View, { style: [{ marginHorizontal }, style], ...(0, util_1.getTestIdProps)(testID) }, children));
};
exports.List = List;
