import { FC } from "react";
import { TestProps } from "../../util";
export type ProcessIndicatorProps = TestProps & {
    /**
     * Highlight this step and show a checkmark for all previous steps.
     * To display a checkmark for all the stages, set this to `maxStages + 1`.
     */
    currentStage: number;
    /** Number of steps to display. */
    maxStages: number;
    /**
     * Maximum width of the process indicator.
     * Defaults to SCREEN_WIDTH - METRICS.SCREEN.basePadding * 2.
     */
    maxWidth?: number;
    /** Display shorter lines between circles to fit more numbers on the screen. */
    shortLines?: boolean;
};
export declare const ProcessIndicator: FC<ProcessIndicatorProps>;
//# sourceMappingURL=process-indicator.d.ts.map