"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProgressBar = void 0;
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const theme_1 = require("../../theme");
const util_1 = require("../../util");
const styles = react_native_1.StyleSheet.create({
    progressBar: {
        height: "100%",
    },
    progressBarBackground: {
        height: 6,
        width: "100%",
    },
    progressBarWrapper: {
        padding: theme_1.METRICS.CONTAINER.basePadding,
    },
});
const ProgressBar = ({ value, min = 0, max = 100, testID, }) => {
    const { theme } = (0, theme_1.useTheme)();
    const progressPercent = ((value - min) / (max - min)) * 100;
    return (
    // eslint-disable-next-line react/jsx-props-no-spreading
    react_1.default.createElement(react_native_1.View, { style: styles.progressBarWrapper, ...(0, util_1.getTestIdProps)(testID) },
        react_1.default.createElement(react_native_1.View, { style: [
                styles.progressBarBackground,
                { backgroundColor: theme.progressBar.trackColor },
            ] },
            react_1.default.createElement(react_native_1.View, { style: [
                    styles.progressBar,
                    {
                        width: `${progressPercent}%`,
                        backgroundColor: theme.primaryColor,
                    },
                ] }))));
};
exports.ProgressBar = ProgressBar;
