"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RefreshControl = void 0;
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const theme_1 = require("../../theme");
/**
 * Themed component to pass to ScrollView or ListView to add pull-to-refresh functionality.
 * `refreshing` is a controlled property and must be set to `true` in the `onRefresh` callback
 * when refreshing starts.
 */
const RefreshControl = (props) => {
    const { theme } = (0, theme_1.useTheme)();
    return (react_1.default.createElement(react_native_1.RefreshControl, { colors: [theme.primaryColor], progressBackgroundColor: theme.backgroundColor, tintColor: theme.textColor, ...props }));
};
exports.RefreshControl = RefreshControl;
