"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Slider = void 0;
const slider_1 = __importDefault(require("@react-native-community/slider"));
const react_1 = __importStar(require("react"));
const react_native_1 = require("react-native");
const theme_1 = require("../../theme");
const util_1 = require("../../util");
const styles = react_native_1.StyleSheet.create({
    slider: {
        marginHorizontal: react_native_1.Platform.select({
            ios: 0,
            android: -theme_1.METRICS.CONTAINER.baseMargin,
        }),
        marginVertical: theme_1.METRICS.CONTAINER.baseMargin,
    },
});
const noop = () => {
    /* empty */
};
const Slider = ({ value, onValueChange, max = 100, min = 0, step = 1, disabled = false, onValueChangeVolatile, onSlidingChange = noop, testID, }) => {
    const { theme } = (0, theme_1.useTheme)();
    const [pressed, setPressed] = (0, react_1.useState)(false);
    const { backgroundColor, color: sliderColor } = disabled
        ? theme.slider.disabled
        : !pressed
            ? theme.slider.default
            : theme.slider.pressed;
    const onSlideComplete = (0, react_1.useCallback)((newValue) => {
        setPressed(false);
        onSlidingChange(false);
        onValueChange(newValue);
    }, [onSlidingChange, onValueChange]);
    const onSlideStart = (0, react_1.useCallback)(() => {
        setPressed(true);
        onSlidingChange(true);
    }, [onSlidingChange]);
    return (react_1.default.createElement(slider_1.default, { disabled: disabled, maximumTrackTintColor: backgroundColor, maximumValue: max, minimumTrackTintColor: sliderColor, minimumValue: min, onSlidingComplete: onSlideComplete, onSlidingStart: onSlideStart, onValueChange: onValueChangeVolatile, step: step, style: styles.slider, thumbTintColor: sliderColor, value: value, ...(0, util_1.getTestIdProps)(testID) }));
};
exports.Slider = Slider;
