"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Label = void 0;
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const theme_1 = require("../../theme");
const util_1 = require("../../util");
const Label = ({ ellipsis = false, style, children, testID, }) => {
    const { theme } = (0, theme_1.useTheme)();
    const textStyle = react_native_1.StyleSheet.flatten([
        {
            color: theme.textColor,
            fontFamily: theme.regularFont,
            fontSize: theme_1.FontSize.MEDIUM,
        },
        style,
    ]);
    return (react_1.default.createElement(react_native_1.Text, { allowFontScaling: theme.allowFontScaling, numberOfLines: ellipsis ? 1 : undefined, style: textStyle, ...(0, util_1.getTestIdProps)(testID) }, children));
};
exports.Label = Label;
