"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NumberSelect = void 0;
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const input_fields_1 = require("../input-fields");
const text_1 = require("../text");
const info_container_1 = require("./info-container");
const select_styles_1 = require("./select-styles");
const NumberSelect = ({ value, onChange, min, max, rangeInfo, label, step, precision, decimalSeparator, infoComp, validationResult, validationMessage, testID, }) => {
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(react_native_1.View, { style: select_styles_1.selectStyles.container },
            react_1.default.createElement(input_fields_1.NumberInputField, { decimalSeparator: decimalSeparator, label: label, max: max, min: min, onValueChange: onChange, precision: precision, step: step, testID: testID, validationMessage: validationMessage, validationResult: validationResult, value: value }),
            rangeInfo !== undefined && (react_1.default.createElement(text_1.HintLabel, { style: select_styles_1.selectStyles.rangeLabel }, rangeInfo))),
        react_1.default.createElement(info_container_1.InfoContainer, null, infoComp)));
};
exports.NumberSelect = NumberSelect;
