"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlertErrorFilledIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const AlertErrorFilledIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M129.7 16H62.3L16 62.3v67.3L62.3 176h67.3l46.3-46.3V62.3L129.7 16zM90.9 56h10.2v24.9l-2.7 30.7h-4.9l-2.7-30.7.1-24.9zm5.1 80c-4 0-7.1-3.1-7.1-7.1s3.1-7.1 7.1-7.1c3.9 0 7.1 3.2 7.1 7.1 0 3.9-3.2 7.1-7.1 7.1z" }))));
};
exports.AlertErrorFilledIcon = AlertErrorFilledIcon;
