"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlertWarningIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const AlertWarningIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M175.8 160H16.2L96 15.7 175.8 160zm-146-8h132.4L96 32.3 29.8 152z" }),
            react_1.default.createElement(react_native_svg_1.Path, { d: "M103.1 136.9c0 3.9-3.2 7.1-7.1 7.1-4 0-7.1-3.1-7.1-7.1s3.1-7.1 7.1-7.1c3.9 0 7.1 3.2 7.1 7.1zm-12.2-48V64h10.2v24.9l-2.7 30.7h-4.9l-2.6-30.7z" }))));
};
exports.AlertWarningIcon = AlertWarningIcon;
