"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BookIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const BookIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M108 32c-4.8 0-9.1 2.1-12 5.5-2.9-3.3-7.2-5.5-12-5.5H16v120h68c4.4 0 8 3.6 8 8h8c0-4.4 3.6-8 8-8h68V32h-68zM92 146.1c-2.4-1.4-5.1-2.1-8-2.1H24V40h60c4.4 0 8 3.6 8 8v98.1zm76-2.1h-60c-2.9 0-5.6.8-8 2.1V48c0-4.4 3.6-8 8-8h60v104z" }))));
};
exports.BookIcon = BookIcon;
