"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChairOfficedeskIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const ChairOfficedeskIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M152 84v84h16v8h-40v-8h16V84H96v-8h62.45L152 56.64l-4.21 12.63-7.58-2.54 16-48 7.58 2.54L156.21 44l10.67 32H176v8h-24zm-60 28v-8H46.89l11.43-20H76v-8H40v8h9.11l-11.43 20H35.5c-1.41-10.36-5.83-42.96-11.54-84.54l-7.92 1.08c6.92 50.42 11.95 87.63 12 88l.46 3.46H52v56H20v8h72v-8H60v-56h32z" }))));
};
exports.ChairOfficedeskIcon = ChairOfficedeskIcon;
