"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceSmartServiceKeyIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const DeviceSmartServiceKeyIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M136 119.943H55.999v-8H136v8zm0 8.057H55.999v8H136v-8zm40 2.976V61.024C176 45.021 162.98 32 146.976 32H45.024C29.021 32 16 45.02 16 61.024v69.952C16 146.979 29.02 160 45.024 160h101.952C162.979 160 176 146.98 176 130.976zM146.976 40C158.568 40 168 49.432 168 61.024v69.952c0 11.592-9.432 21.024-21.024 21.024H45.024C33.432 152 24 142.568 24 130.976V61.024C24 49.432 33.432 40 45.024 40h101.952zM96 64c-6.617 0-12 5.383-12 12s5.383 12 12 12 12-5.383 12-12-5.383-12-12-12m0-8c11.046 0 20 8.954 20 20s-8.954 20-20 20-20-8.954-20-20 8.954-20 20-20z" }))));
};
exports.DeviceSmartServiceKeyIcon = DeviceSmartServiceKeyIcon;
