"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EngineIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const EngineIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M153.7 76l-20-20H112V44h16v-8H88v8h16v12H87.7L67.1 76H36v24H24V84h-8v40h8v-16h12v24h31.1l20.6 20H176V76h-22.3zm-23.4-12l20 20H168v20H96V64h34.3zM44 84h20v40H44V84zm28 41.6V82.4l16-15.6v74.3l-16-15.5zM96 144v-32h8v32h-8zm32 0v-12h-8v12h-8v-32h8v12h8v-12h8v32h-8zm32 0v-12h-8v12h-8v-32h8v12h8v-12h8v32h-8z" }))));
};
exports.EngineIcon = EngineIcon;
