"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HeartIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const HeartIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M96 176.38l-1.629-.727c-.799-.356-19.79-8.921-39.033-26.08C29.603 126.628 16 99.234 16 70.354 16 44.794 36.735 24 62.222 24c13 0 25.06 5.303 33.778 14.703C104.719 29.303 116.779 24 129.778 24 155.265 24 176 44.794 176 70.353c0 28.88-13.603 56.274-39.338 79.22-19.244 17.159-38.234 25.724-39.033 26.08L96 176.38zM62.222 32C41.146 32 24 49.205 24 70.353c0 59.013 61.163 91.862 72.002 97.215 4.943-2.432 20.327-10.542 35.502-24.114C155.721 121.796 168 97.202 168 70.353 168 49.205 150.854 32 129.778 32c-12.132 0-23.276 5.59-30.576 15.338L96 51.613l-3.202-4.275C85.498 37.59 74.354 32 62.222 32z" }))));
};
exports.HeartIcon = HeartIcon;
