"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LowLossHeaderIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const LowLossHeaderIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M109.03 164c0 2.2-1.98 4-4.4 4H87.244c-2.42 0-4.4-1.8-4.4-4V28c0-2.2 1.98-4 4.4-4h17.386c2.42 0 4.4 1.8 4.4 4zm30.967-98V56H117.83V28c0-6.6-5.94-12-13.2-12H87.244c-7.259 0-13.2 5.4-13.2 12v28H51.997v10h22.047v60H51.997v10h22.047v28c0 6.6 5.941 12 13.2 12h17.386c7.26 0 13.2-5.4 13.2-12v-28h22.167v-10H117.83V66z" }))));
};
exports.LowLossHeaderIcon = LowLossHeaderIcon;
