"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProfileFrameIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const ProfileFrameIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M96 16c-44.1 0-80 35.9-80 80s35.9 80 80 80 80-35.9 80-80-35.9-80-80-80zM60 158.3c.7-20.6 15-34.3 36-34.3s35.2 13.7 36 34.3c-10.6 6.1-22.9 9.7-36 9.7s-25.4-3.5-36-9.7zM76 92c0-11 9-20 20-20s20 9 20 20-9 20-20 20-20-9-20-20zm63.6 61.3c-2.4-18.3-14.4-31.7-31.7-35.9 9.5-4.5 16.2-14.2 16.2-25.4 0-15.4-12.6-28-28-28S68 76.6 68 92c0 11.2 6.6 20.9 16.2 25.4-17.4 4.2-29.4 17.6-31.7 35.9C35.2 140.1 24 119.3 24 96c0-39.7 32.3-72 72-72s72 32.3 72 72c0 23.3-11.2 44.1-28.4 57.3z" }))));
};
exports.ProfileFrameIcon = ProfileFrameIcon;
