"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.QrCodeIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const QrCodeIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M72 60h8v8h-8z" }),
            react_1.default.createElement(react_native_svg_1.Path, { d: "M88 68h-8v8H64v8h16v8h8v8h8v-8h-8V68h15.9v-8H88V40H72v8h8v12h8z" }),
            react_1.default.createElement(react_native_svg_1.Path, { d: "M96 40h16v8h-8v12h8V48h8V16H96v8H80v8h16v8zm8-16h8v8h-8v-8zm-64 88h8v-8h8v-8h-8v8h-8v-8h-8v-8h20v-8H36v-8h-8v8H16v8h8v8h-8v24h24v-8zm-8 0h-8v-8h8v8zm48 16h8v-8h8v-12h-8v12h-8v-20H64v12h-8v8h16v8zm80-52h8v8h-8zm0 16h8v8h-8zm8 8h8v8h-8zm-16 32v-8h-8v-8h-8v12h-8v8h8v4h16v12h8v-8h8v-20h-8v8z" }),
            react_1.default.createElement(react_native_svg_1.Path, { d: "M152 72h-8v44h8v8h8v-24h-8zm-32 4h-8v8h-8v-8h-8v16h8v8h-8v8h8v12h-8v8h12v8h12v-12h-8v-16h8v8h8V84h8v-8h-8v8h-8v-8zm0 24h-8v-8h8v8zm24 60v8h8v8h16v-8h-8v-8h-8v-8h-8zm-8-8h-16v-8h-8v8h-12v-16H76v40h28v-8H84v-24h8v16h12v8h8v8h8v-8h8v8h16v-8h-8zm-24-92h8v8h-8zM16 176h48v-48H16v48zm8-40h32v32H24v-32z" }),
            react_1.default.createElement(react_native_svg_1.Path, { d: "M32 144h16v16H32zM64 16H16v48h48V16zm-8 40H24V24h32v32z" }),
            react_1.default.createElement(react_native_svg_1.Path, { d: "M32 32h16v16H32zm96-16v48h48V16h-48zm40 40h-32V24h32v32z" }),
            react_1.default.createElement(react_native_svg_1.Path, { d: "M144 32h16v16h-16z" }))));
};
exports.QrCodeIcon = QrCodeIcon;
