"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SearchIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const SearchIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M170.8 149.2L114 92.3c3.9-7.3 6-15.5 6-24.3 0-28.7-23.3-52-52-52S16 39.3 16 68s23.3 52 52 52c8.8 0 17-2.2 24.3-6l56.9 56.9c3.5 3.5 7.9 5.2 12.2 5.2 3.9 0 7.6-1.4 10.4-4.2 6-6 5.6-16.2-1-22.7zM24 68c0-24.3 19.7-44 44-44s44 19.7 44 44-19.7 44-44 44-44-19.7-44-44zm142.2 98.2c-1.8 1.8-3.9 2-5.3 1.9-2.2-.2-4.4-1.2-6-2.9l-55.6-55.6c3.9-2.9 7.4-6.4 10.3-10.3l55.6 55.6c1.6 1.6 2.7 3.8 2.9 6 0 1.4-.2 3.5-1.9 5.3z" }))));
};
exports.SearchIcon = SearchIcon;
