"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SecurityUserIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const SecurityUserIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M96 15.63L36 42.039v72.447C36 148.406 62.916 176 96 176s60-27.595 60-61.514V42.04l-60-26.41zm-52 98.856V47.258L96 24.37V56c13.315 0 24.148 10.65 24.148 23.742 0 8.105-4.155 15.272-10.479 19.558C122.76 104.597 132 117.256 132 132h-8c0-15.084-12.56-27.355-28-27.355V168c-28.673 0-52-24.006-52-53.514zM96 56v8c-8.904 0-16.148 7.062-16.148 15.742S87.096 95.484 96 95.484v9.161c-15.44 0-28 12.272-28 27.355h-8c0-14.744 9.24-27.403 22.33-32.7-6.323-4.286-10.478-11.453-10.478-19.558C71.852 66.65 82.685 56 96 56zm0 39.484V64c8.904 0 16.148 7.062 16.148 15.742S104.904 95.484 96 95.484z" }))));
};
exports.SecurityUserIcon = SecurityUserIcon;
