"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WaterBathtubIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const WaterBathtubIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M156.15 160H35.85a13.226 13.226 0 01-13.086-11.086L15.278 104h161.444l-7.486 44.914A13.226 13.226 0 01156.15 160zM24.721 112l5.933 35.599A5.25 5.25 0 0035.851 152h120.298a5.25 5.25 0 005.196-4.401L167.278 112H24.722zm12.36-16A7.94 7.94 0 0136 92c0-4.411 3.589-8 8-8s8 3.589 8 8a7.94 7.94 0 01-1.082 4h8.555c.332-1.281.527-2.617.527-4 0-8.822-7.178-16-16-16s-16 7.178-16 16c0 1.383.195 2.719.527 4h8.555zM154.03 34.542A13.923 13.923 0 00146 32c-5.452 0-10.165 3.124-12.477 7.674l25.023 12.511a13.941 13.941 0 001.427-5.727L168 50.472V96h8V45.528l-21.97-10.986z" }))));
};
exports.WaterBathtubIcon = WaterBathtubIcon;
