"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WifiOffDisabledBoldIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const WifiOffDisabledBoldIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M97.304 72.069L89 80.374c-16.04 1.553-31.653 8.457-43.911 20.714l-5.656-5.657c15.926-15.927 36.953-23.7 57.872-23.362zm4.85 40.404c8.347 1.281 16.047 5.159 22.13 11.243l5.656-5.657c-5.944-5.945-13.177-10.124-21.065-12.307l-6.72 6.72zm48.788-48.788a103.942 103.942 0 0118.597 14.776l5.656-5.657a111.997 111.997 0 00-18.46-14.912l-5.793 5.793zm-23.54 23.54a71.66 71.66 0 0119.51 13.863l5.656-5.657a79.725 79.725 0 00-19.2-14.172l-5.966 5.966zm-8.594-36.66l6.609-6.609c-37.483-10.138-79.242-.523-108.612 28.848l5.656 5.657c26.102-26.1 62.737-35.396 96.347-27.896zM96 139.8c-6.186 0-11.2 5.014-11.2 11.2 0 6.186 5.014 11.2 11.2 11.2s11.2-5.014 11.2-11.2c0-6.186-5.014-11.2-11.2-11.2zm77.657-110.143l-11.314-11.314-144 144 11.314 11.314 144-144z" }))));
};
exports.WifiOffDisabledBoldIcon = WifiOffDisabledBoldIcon;
