"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WifiOffDisabledLightIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const WifiOffDisabledLightIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M102.935 72.35l-7.727 7.702c-18.172.198-36.284 7.2-50.12 21.036l-5.656-5.657c17.357-17.358 40.772-25.042 63.503-23.08zm20.745 13.196a71.598 71.598 0 0123.232 15.542l5.656-5.657a79.625 79.625 0 00-22.797-15.956l-6.091 6.071zm-.08-33.792l6.453-6.433c-38.637-12.263-82.66-3.105-113.248 27.483l5.656 5.657C49.809 51.114 88.72 42.214 123.6 51.754zm24.003 9.947a103.762 103.762 0 0121.936 16.76l5.656-5.657a111.829 111.829 0 00-21.73-16.946l-5.862 5.843zm-50.491 50.326c10.267.279 19.88 4.397 27.172 11.689l5.656-5.657c-7.048-7.049-15.906-11.621-25.523-13.314l-7.305 7.282zM96 139.8c-6.186 0-11.2 5.014-11.2 11.2 0 6.186 5.014 11.2 11.2 11.2s11.2-5.014 11.2-11.2c0-6.186-5.014-11.2-11.2-11.2zm79.3-117l-5.6-5.7-152.5 152 5.6 5.7 152.5-152z" }))));
};
exports.WifiOffDisabledLightIcon = WifiOffDisabledLightIcon;
