"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkOrderIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const WorkOrderIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M124 24v-8h-8v8h-16v-8h-8v8H76v-8h-8v8H40v152h112V24h-28zm20 144H48V32h20v8h8v-8h16v8h8v-8h16v8h8v-8h20v136z" }),
            react_1.default.createElement(react_native_svg_1.Path, { d: "M120 108c-1.9 0-3.6.4-5.2 1.2l-32-32c.7-1.6 1.2-3.3 1.2-5.2 0-6.6-5.4-12-12-12-1.9 0-3.6.4-5.2 1.2l8 8c1.6 1.6 1.6 4.1 0 5.7-1.6 1.6-4.1 1.6-5.7 0l-8-8c-.7 1.5-1.1 3.2-1.1 5.1 0 6.6 5.4 12 12 12 1.9 0 3.6-.4 5.2-1.2l32 32c-.7 1.6-1.2 3.3-1.2 5.2 0 6.6 5.4 12 12 12 1.9 0 3.6-.4 5.2-1.2l-8-8c-1.6-1.6-1.6-4.1 0-5.7 1.6-1.6 4.1-1.6 5.7 0l8 8c.7-1.6 1.2-3.3 1.2-5.2-.1-6.5-5.5-11.9-12.1-11.9z" }),
            react_1.default.createElement(react_native_svg_1.Path, { d: "M112 68v6.1l-10.8 10.8 5.6 5.7L117.4 80h6.6l8-12-8-8zm-49.7 50.3c-3.1 3.1-3.1 8.2 0 11.3 3.1 3.1 8.2 3.1 11.3 0l20-20-11.3-11.3-20 20z" }))));
};
exports.WorkOrderIcon = WorkOrderIcon;
