/**
 * Call this in `beforeEach` to initialize logic needed
 * for testing animations.
 *
 * _Note:_ this modifies the current date and uses fake timers.
 */
export declare function setupTimeTravel(): void;
/**
 * Call this in `afterEach` to clean up.
 */
export declare function cleanupTimeTravel(): void;
/**
 * Advance time by specified ms in a way that Animated will
 * recognize. Use this to test animations. By passing their duration
 * as parameter you can skip to the end of the animation.
 *
 * _Note:_ The actual time in timers will not be advanced by
 * the milliseconds specified. If you want to test other timers
 * besides animation, use `timeTravelRealTime`.
 */
export declare function timeTravel(msToAdvance?: number): void;
/**
 * Alternative to `timeTravel`. Use this if you want to advance
 * other timers besides animation by the time specified as parameter.
 */
export declare function timeTravelRealTime(msToAdvance: number): void;
//# sourceMappingURL=time-travel.d.ts.map