const ERROR_LEVEL = {
	OFF: 0,
	WARNING: 1,
	ERROR: 2,
};

module.exports = {
	extends: "@cs-eslint/eslint-config/react-native",
	rules: {
		// typescript-eslint introduced an issue in 4.9.0 and the override is disregarded from @cs preset
		"no-unused-vars": ERROR_LEVEL.OFF,
	},
	overrides: [
		{
			files: ["Example/metro.config.js"],
			rules: {
				"import/no-extraneous-dependencies": [
					ERROR_LEVEL.ERROR,
					{
						devDependencies: ["**/metro.config.js"],
					},
				],
			},
		},
		{
			files: ["Example/**/*.{ts,tsx}"],
			rules: {
				"promise/always-return": ERROR_LEVEL.OFF,
				"react/jsx-no-literals": ERROR_LEVEL.OFF,
				"unicorn/no-null": ERROR_LEVEL.OFF,
				"react/destructuring-assignment": ERROR_LEVEL.OFF,
				"promise/prefer-await-to-then": ERROR_LEVEL.OFF,
				"react-native/no-color-literals": ERROR_LEVEL.OFF,
				"react/jsx-no-bind": ERROR_LEVEL.OFF,
				"unicorn/filename-case": ERROR_LEVEL.OFF,
			},
		},
	],
};
