# React Native SHC Connector

# 5.0.6

- Update ios connector library to v3.2.1
- Update Android connector library to v1.8.0

# 5.0.5

- Add addListener and removeListener function to android code to avoid react native warning messages (#3)

## 5.0.4

- Instantiate ThirdPartyConnectorLibrary on main thread on android (#2)

## 5.0.3

* Add connection check to setShcIdAndLocalAddress function

## 5.0.2

* Add cleanup function to clearPairData to remove the stored credentials from the initialized ShcConRepresentation on iOS side
* Revert `ShConnectorLibrary` update (v3.1.1 -> v3.1.0)

## 5.0.1

* Update `ShConnectorLibrary` to v3.1.1 which contains the new OpenSSL (Apple silicon support)

## 5.0.0

* Implement long polling mechanism on android side
* Update Android Connector library to 1.4.1-rc1

## 4.7.0

* Update Android Connector library to v1.2.122

## 4.6.0

* Update Android Connector library to v1.2.119

## 4.5.0

* Update Android Connector library to v1.1.11

## 4.4.0

* Update the iOS Connector library to 3.1.0
* Update OpenSSL to 1.1.1g version
* Update iOS target version to 12

## 4.3.0

* Update the Connector library to v1.1.5
* Update the react native and the other dependencies inside the Example app
* Add the Codespring eslint configuration

## 4.2.5

* Update iOS connector lib to version v3.0.7

## 4.2.4

* Update converting the response to handle the non JSON response on Android side

## 4.2.3

* Update iOS connector lib to version: v3.0.6
* Update OpenSSL to 1.1.1d

## 4.2.2

* Fix the iOS framework issue

## 4.2.1

* Update iOS connector lib to version: v3.0.3

## 4.2.0

* Update iOS connector lib to version: v3.0.0
* Update OpenSSL to 1.0.2s

## 4.1.0

* Update Android connector library to version 1.0.472

## 4.0.0

* Update Android connector library to version 1.0.463
* Implement `setShcIdAndLocalAddress` function on Android side
* Removed `setLocalAddress` function on Android side (API change)

## 3.2.0

* Implement refreshConnection function on iOS side, which helps to determine the connection type
* Introduce the removeEventListeners, which removes the registered event handlers

## 3.1.2

* Fix the android crash, when the received response is not a JSON
* Add an extra HTTP error check when the request failed on iOS side
* Check the reason of the hasShcIdBeenProvided function on iOS side
* Fix for the two different paired SHC issue on iOS side

## 3.1.1

* Update the android connector library to version 1.0.449

## 3.1.0

* Update the android connector library to version 1.0.319
* Update the iOS connector library to version 1.0.0

## 3.0.2

* Update OpenSSL to version 1.0.2p

## 3.0.1

* Update the android connector library to version 1.0.315, which contains the fix of the:
  * Fix concurrency issue java.util.ConcurrentModificationException when remote tunnel is closed or fails
* Change npm registry to <https://repo1.codespring.ro/>

## 3.0.0

* API change:
  * Refactor Android and iOS get/put/patch methods to use `Callback` instead of `Promise`
  * Sends back the Error object in case of a request failed (e.g. EmmaError in case of commissioning)

## 2.1.1

* Update the Android connector lib to 1.0 (Increase default timeouts for OkHttp client)

## 2.1.0

* Implement Pair with nonce on the iOS side
* Implement `clearPairData` on the iOS side
* Update the android connector library to version 1.0.310 (extended HTTP timeout)

## 2.0.2

* Fix the conversion issue: if the value is null the wrapper returns the null as a String
* Update the android connector library to version 1.0.309, which contains the fix of the: Missing callback after transition from NoNetwork to LocalNetworkOpened

## 2.0.1

* Fix the Promise error in case of the checkPairStatus on android side

## 2.0.0

* Integrate the 1.0.307 Android Connector Library
* Integrate the 0.6.1 iOS Connector Library
* Implement the iOS part of the Connector Library
* Remove the getConLibVersion function, which is not supported by the Connector Library

## 1.1.1

* Fix Cocoapods specification

## 1.1.0

* Add function which returns the version of the Connector Lib
* Implement PATCH function
* Change react-native peer dependency to *
* Update error handling in case of the GET, PUT and PATCH requests (When the SHC send an error)

## 1.0.2

* Fix applications crash in case of the body of the PUT request is `null`

## 1.0.1

* Fix Java error when the local port is null

## 1.0.0

* Initial version
