
# react-native-shc-connector

## Getting started

```sh
npm install bosch-tt-react-native-shc-connector --save
```

```sh
yarn add bosch-tt-react-native-shc-connector
```

### Mostly automatic installation

On newer versions of React Native (0.61+) you are set!

For older versions:

```sh
react-native link bosch-tt-react-native-shc-connector
```

### Manual installation

#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `bosch-tt-react-native-shc-connector` and add `RNShcConnector.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libRNShcConnector.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainActivity.java`

  - Add `import com.bosch.tt.de.emma.connector.RNShcConnectorPackage;` to the imports at the top of the file
  - Add `new RNShcConnectorPackage()` to the list returned by the `getPackages()` method

2. Append the following lines to `android/settings.gradle`:

    ```groovy
    include ':react-native-shc-connector'
    project(':react-native-shc-connector').projectDir = new File(rootProject.projectDir, 	'../node_modules/bosch-tt-react-native-shc-connector/android')
    ```

3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:

    ```groovy
    compile project(':react-native-shc-connector')
    ```

## Usage

```javascript
import RNShcConnector from 'bosch-tt-react-native-shc-connector';

// Init module before using
RNShcConnector.initModule();

// Use the exported functions
RNShcConnector.connect();
```
