import type { Country, MetaDocument, MetaActivityDocument, ActivityIndicatorStyle } from "../types";
export declare type TTComponentProps = {
    /**
     * Shows the privacy policy based on this country.
     */
    selectedCountry?: Country;
    /**
     * Applies this style to the HTML content.
     *
     * @example "body {color: #900; text-align:justify; font-size:80%;}"
     */
    css?: string;
    /**
     * Returns the currently loaded document's metadata when the requested document appears.
     *
     * @param document - the requested document's metadata
     */
    onDocumentLoaded?(document: MetaDocument | MetaActivityDocument): void;
    /**
     * Gets called when the ScrollView reaches its bottom.
     */
    onScrollEnded?(): void;
    /**
     * iOS only
     * Sets the style of the activity indicator on TTPrivacyComponent
     */
    activityIndicatorStyle?: ActivityIndicatorStyle;
};
//# sourceMappingURL=common-props.d.ts.map