//
//  Assembler.h
//  RNPrivacyComponent
//
//  Created by István Bege on 01/11/2018.
//  Copyright (C) 2018, Bosch Thermotechnik GmbH. All rights reserved.
//

/**
 * Class with static conversion methods between models (TTPCountry, TTPMetaDocument) and DTO (NSDictionary) objects.
 */

#import <TTPrivacyComponent/TTPCountry.h>
#import <TTPrivacyComponent/TTPMetaDocument.h>
#import <TTPrivacyComponent/TTPMetaActivityDocument.h>
#import <TTPrivacyComponent/TTPActivityDocument.h>

@interface Assembler : NSObject
+ (NSDictionary*)createCountryDTO:(TTPCountry*)country;
+ (TTPCountry*)createCountry:(NSDictionary*)dtoCountry;
+ (NSArray<TTPCountry*>*)createCountryArray:(NSArray<NSDictionary*>*)countryDTOArray;
+ (NSArray<NSDictionary*>*)createCountryDTOArray:(NSArray<TTPCountry*>*)countries;
+ (NSDictionary*)createDocumentDTO:(TTPMetaDocument*)document;
+ (NSArray<NSDictionary*>*)createDocumentDTOArray:(NSArray<TTPMetaDocument*>*)documents;
+ (NSDictionary*)createActivityDocumentDTO:(TTPActivityDocument*)document;
+ (NSArray<NSDictionary*>*)createActivityDocumentDTOArray:(NSArray<TTPMetaActivityDocument*>*)documents;
@end
