//
//  RNTTPActivityComponent.m
//  RNPrivacyComponent
//
//  Created by István Bege on 28/05/2019.
//  Copyright (C) 2019, Bosch Thermotechnik GmbH. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "RNTTPActivityComponent.h"
#import "Assembler.h"

@implementation RNTTPActivityComponent

- (id) init {
    self = [super init];
    if (self) {
        self.delegate = self;
    }
    return self;
}

- (void)onLoadFinishedWithDocument:(TTPActivityDocument *)document error:(NSString *)error {
    self.onDocumentLoaded([Assembler createActivityDocumentDTO:document]);
}

- (void)scrollViewDidEndDecelerating:(UIScrollView *)scrollView {
    float bottomEdge = scrollView.contentOffset.y + scrollView.frame.size.height;
    if (bottomEdge >= scrollView.contentSize.height) {
        self.onScrollEnded(nil);
    }
}

- (void)setActivityIndicatorViewStyle:(UIActivityIndicatorViewStyle)activityIndicatorViewStyle {
    [super setActivityIndicatorViewStyle:activityIndicatorViewStyle];
}

@end
